package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Staff_applicationRepository;
import com.realnet.vpspack.Entity.Staff_application
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;














	import org.springframework.stereotype.Service;

@Service
 public class Staff_applicationService {
@Autowired
private Staff_applicationRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;













public Staff_application Savedata(Staff_application data) {














	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Staff_application save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Staff_application> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Staff_application> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Staff_application> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Staff_application getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Staff_application update(Staff_application data,Integer id) {
	Staff_application old = Repository.findById(id).get();
old.setFull_name(data.getFull_name());

old.setApplication_code(data.getApplication_code());

old.setNationality(data.getNationality());

old.setPassport_number(data.getPassport_number());

old.setFilter_btn(data.getFilter_btn());

old.setReset_btn(data.getReset_btn());

old.setStaffappchild(data.getStaffappchild());

final Staff_application test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 














 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
